<?php

/**

 * @package WordPress

 * @subpackage wsomega

 */


if ( ! function_exists( 'wsomega_comment' ) ) :

/**

 * Template for comments and pingbacks.

 *

 * To override this walker in a child theme without modifying the comments template

 * simply create your own wsomega_comment(), and that function will be used instead.

 *

 * Used as a callback by wp_list_comments() for displaying the comments.

 *

 * @since wsomega 0.4

 */

function wsomega_comment( $comment, $args, $depth ) {

	$GLOBALS['comment'] = $comment;

 
	?>

<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
  <article id="comment-<?php comment_ID(); ?>" class="comment">
 
      <div class="ws-comment">
        <div class="comment-author vcard ws-comment-author"> <?php echo get_avatar( $comment, 100 ); ?> <?php printf( __( '%s <span class="says">says:</span>', 'wsomega' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
          <div class="meta commentmetadata"><i class="fal fa-calendar-alt"></i> <a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>"> <?php printf( __( '%1$s at %2$s', 'wsomega' ), get_comment_date(),  get_comment_time() ); ?> </a> </div>
          <hr class="ws-clear" /> <?php if ( $comment->comment_approved == '0' ) : ?>
        <em>
        <?php _e( 'Your comment is awaiting moderation.', 'wsomega' ); ?>
        </em> <br />
        <?php endif; ?>
        </div>
      
          <div class="comment-content ws-comment-content">
      <?php comment_text(); ?>
			   <div class="reply ws-reply">
      <?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
    </div>  
    </div>
 
      </div>
   
 
    <!-- .reply -->
  </article>
  <!-- #comment-##  -->
  
  <?php
 
 
}

endif; // ends check for wsomega_comment()


?>
  <div id="comments">
    <?php if ( post_password_required() ) : ?>
    <div class="nopassword">
      <?php _e( 'This post is password protected. Enter the password to view any comments.', 'wsomega' ); ?>
    </div>
  </div>
  <!-- .comments -->
  <?php return;

		endif;

	?>
  <?php // You can start editing here -- including this comment! ?>
  <?php if ( have_comments() ) : ?>
  <h3>
    <?php

			    printf( _n( 'One Response to %2$s', '%1$s Responses to %2$s', get_comments_number(), 'wsomega' ),

			        number_format_i18n( get_comments_number() ), '&quot;' . get_the_title() . '&quot;' );

			?>
  </h3>
  <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
  <nav id="comment-nav-above">
    <h1 class="section-heading">
      <?php _e( 'Comment navigation', 'wsomega' ); ?>
    </h1>
    <div class="nav-previous">
      <?php previous_comments_link( __( '&larr; Older Comments', 'wsomega' ) ); ?>
    </div>
    <div class="nav-next">
      <?php next_comments_link( __( 'Newer Comments &rarr;', 'wsomega' ) ); ?>
    </div>
  </nav>
  <?php endif; // check for comment navigation ?>
  <ol class="commentlist">
    <?php wp_list_comments( array( 'callback' => 'wsomega_comment' ) ); ?>
  </ol>
  <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
  <nav id="comment-nav-below">
    <h1 class="section-heading">
      <?php _e( 'Comment navigation', 'wsomega' ); ?>
    </h1>
    <div class="nav-previous">
      <?php previous_comments_link( __( '&larr; Older Comments', 'wsomega' ) ); ?>
    </div>
    <div class="nav-next">
      <?php next_comments_link( __( 'Newer Comments &rarr;', 'wsomega' ) ); ?>
    </div>
  </nav>
  <?php endif; // check for comment navigation ?>
  <?php else : // this is displayed if there are no comments so far ?>
  <?php if ( comments_open() ) : // If comments are open, but there are no comments ?>
  <?php else : // or, if we don't have comments:
			/* If there are no comments and comments are closed,

			 * let's leave a little note, shall we?

			 * But only on posts! We don't want the note on pages.

			 */

			if ( ! comments_open() && ! is_page() ) :

			?>
  <p class="nocomments">
    <?php _e( 'Comments are closed.', 'wsomega' ); ?>
  </p>
  <?php endif; // end ! comments_open() && ! is_page() ?>
  <?php endif; ?>
  <?php endif; ?>
  <?php comment_form(); ?>
  </div>
  <!-- #comments -->
