<?php


/** * @package WordPress * @subpackage wsomega */
?>

<!DOCTYPE html>

<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<title>
<?php if(in_array('wordpress-seo/wp-seo.php', apply_filters('active_plugins', get_option('active_plugins')))) : ?>
<?php wp_title(); ?>
<?php else : ?>
<?php bloginfo('name');?>
&nbsp;|&nbsp;
<?php bloginfo('description');?>
<?php endif; ?>
</title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); ?>
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php if ( wsomega_option('ws_textarea_scripts') ) : ?>
<?php echo htmlspecialchars_decode(wsomega_option('ws_textarea_scripts')); ?>
<?php endif; ?>
    
    
    <!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-08PCFVSFZE"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());
  gtag('config', 'AW-988497818'); // ADWORDS
  gtag('config', 'G-08PCFVSFZE');
</script>
 <!-- GOOGLE ADS -->   
  <script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js?client=ca-pub-3269393809604936"
     crossorigin="anonymous"></script>  
  <!-- GOOGLE ADS END -->  
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="page" class="hfeed">
<div id="wsMobileNav">
  <div class="ws-logo"> <a href="<?php echo home_url();?>" title="<?php bloginfo('name');?> | <?php bloginfo('description');?>">
    <figure class="ibox">
      <?php if ( wsomega_option('ws_text_header_logo_mobile') ) : ?>
      <img src="<?php echo wsomega_option('ws_text_header_logo_mobile'); ?>" alt="<?php bloginfo('name');?>" title="Logo for <?php bloginfo('name');?>">
      <?php else : ?>
      <img src="<?php echo get_template_directory_uri();?>/images/client/logo-mobile.svg" alt="<?php bloginfo('name');?>">
      <?php endif; ?>
    </figure>
    </a> </div>
  <div id="wsMobileNavButton">
    <div id="wsMobileNavIcon"> <span></span> <span></span> <span></span> <span></span> </div>
  </div>
  <div id="wsMobileNavRight">
    <?php if ( class_exists('Woocommerce') ) : ?>
    <?php if ( WC()->cart->get_cart_contents_count() == 0 ) :?>
    <?php else : ?>
    <div class="ws-cart-mobile">
      <?php wsomega_woocommerce_header_cart(); ?>
    </div>
    <?php endif; ?>
    <div class="ws-user-mobile"> <a href="<?php echo home_url();?>/?page_id=<?php echo get_option( 'woocommerce_myaccount_page_id' );?>"><i class="fal fa-user"></i></a></div>
    <?php endif; ?>
    <?php if ( wsomega_option('ws_text_phone_1') ) : ?>
    <div class="ws-phone-mobile"><a href="tel:1<?php $phone = wsomega_option('ws_text_phone_1'); echo str_replace('-', '', $phone);?> " target="_blank"> <i class="fal fa-mobile"></i> </a></div>
    <?php endif; ?>
  </div>
  <hr class="ws-clear">
  <nav>
    <?php wp_nav_menu( array( 'theme_location' => 'primary-mobile', 'container_id' => 'ws-mobile-nav')); ?>
  </nav>
</div>
<?php if ( class_exists('Woocommerce') ) : ?>
<div id="wsNavWoo">
  <div class="ws-wrap">
    <?php if ( WC()->cart->get_cart_contents_count() == 0 ) :?>
    <?php else : ?>
    <div class="ws-cart">
      <?php wsomega_woocommerce_header_cart(); ?>
    </div>
    <?php endif; ?>
    <div class="ws-welcome">
      <?php if ( is_user_logged_in() ) : ?>
      <?php
      global $current_user;


      wp_get_current_user();


      echo 'Hello <b>' . $current_user->display_name . '</b>. Would you like to see your <a href="' . home_url() . '/?page_id=' . get_option( 'woocommerce_myaccount_page_id' ) . '">account</a> or <a href="' . wp_logout_url( home_url() ) . '">logout</a>.';


      ?>
      <?php else : ?>
      Welcome visitor you can <a href="<?php echo home_url();?>/?page_id=<?php echo get_option( 'woocommerce_myaccount_page_id' );?>">login</a> or <a href="<?php echo home_url();?>/?page_id=<?php echo get_option( 'woocommerce_myaccount_page_id' );?>">create an account</a>.
      <?php endif; ?>
    </div>
    <hr class="ws-clear">
  </div>
</div>
<?php endif; ?>
<header id="wsHead" class="ws-sticky">
  <div class="ws-wrap">
      
 
    <div class="ws-logo"> <a href="<?php echo home_url();?>" title="<?php bloginfo('name');?> | <?php bloginfo('description');?>">
      <figure class="ibox">
        <?php if ( wsomega_option('ws_text_header_logo') ) : ?>
        <img src="<?php echo wsomega_option('ws_text_header_logo'); ?>" alt="<?php bloginfo('name');?>" title="Logo for <?php bloginfo('name');?>">
        <?php else : ?>
        <img src="<?php echo get_template_directory_uri();?>/images/client/logo.png" alt="<?php bloginfo('name');?>">
        <?php endif; ?>
      </figure>
      </a> </div> 
      <div class="ws-map"><a href="https://goo.gl/maps/jgCZqKNSAQwjArbAA" target="_blank" class="ws-button ws-button-alt"><span class="ws-button-icon"><i class="fal fa-map-marker"></i></span><span class="ws-button-text">Directions</span></a></div>
    <?php if ( wsomega_option('ws_checkbox_phone') ) : ?>
    <div class="ws-phone">
      <?php if ( wsomega_option('ws_text_phone_1') ) : ?>
      <a class="ws-button ws-button-alt" href="tel:<?php echo wsomega_option('ws_text_phone_1');?>"><span class="ws-button-icon"><i class="fal fa-mobile"></i></span><span class="ws-button-text"><?php echo wsomega_option('ws_text_phone_1');?></span></a>
      <?php endif; ?>
    </div>
    <?php endif; ?>
    <nav id="wsNavWrap">
      <?php wp_nav_menu( array( 'theme_location' => 'primary' ,'container_id' => 'wsNav', 'menu_class' => 'sf-menu')); ?>
    </nav>
    <hr class="ws-clear">
  </div>
</header>
<div id="wsBody">
<!--?php get_template_part( 'ws-module-slider' ); ?-->
<?php if ( is_front_page() ) : ?>
<div id="wsFront">
<div id="main">
<?php elseif (is_page_template('page-section.php')) : ?>
<div>
<div id="main">
<?php else : ?>
<div class="ws-wrap">
<div id="main" class="ws-page-layout">
<?php endif; ?>
