<?php
if ( function_exists( 'acf_add_local_field_group' ) ):

  acf_add_local_field_group( array(
    'key' => 'group_5bcfa61d44d2b',
    'title' => 'wsOmega Page Options',
    'fields' => array(
      array(
        'key' => 'field_5bcfa62a8b9b1',
        'label' => 'WS Page Layout',
        'name' => 'ws_page_layout',
        'type' => 'select',
        'instructions' => '',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '',
          'class' => '',
          'id' => '',
        ),
        'choices' => array(
          'ws-full-width' => 'Full Width',
          'ws-narrow' => 'Narrow Width',
          'ws-content-sidebar' => 'Content & Sidebar',
        ),
        'default_value' => array(
          0 => 'ws-full-width',
        ),
        'allow_null' => 0,
        'multiple' => 0,
        'ui' => 1,
        'ajax' => 0,
        'return_format' => 'value',
        'placeholder' => '',
      ),
      array(
        'key' => 'field_5bcfa7b0bff44',
        'label' => 'WS Page Sidebar',
        'name' => 'ws_page_sidebar',
        'type' => 'select',
        'instructions' => '',
        'required' => 0,
        'conditional_logic' => array(
          array(
            array(
              'field' => 'field_5bcfa62a8b9b1',
              'operator' => '==',
              'value' => 'ws-content-sidebar',
            ),
          ),
        ),
        'wrapper' => array(
          'width' => '',
          'class' => '',
          'id' => '',
        ),
        'choices' => array(
          'sidebar-1' => 'Sidebar 1',
          'sidebar-2' => 'Sidebar 2',
          'sidebar-3' => 'Sidebar 3',
        ),
        'default_value' => array(
          0 => 'sidebar-1',
        ),
        'allow_null' => 0,
        'multiple' => 0,
        'ui' => 1,
        'ajax' => 0,
        'return_format' => 'value',
        'placeholder' => '',
      ),
    ),
    'location' => array(
      array(
        array(
          'param' => 'page_template',
          'operator' => '==',
          'value' => 'default',
        ),
      ),
      array(
        array(
          'param' => 'post_type',
          'operator' => '==',
          'value' => 'post',
        ),
      ),
      array(
        array(
          'param' => 'page_template',
          'operator' => '==',
          'value' => 'page-faqs.php',
        ),
      ),
      array(
        array(
          'param' => 'page_template',
          'operator' => '==',
          'value' => 'page-template.php',
        ),
      ),
    ),
    'menu_order' => 0,
    'position' => 'side',
    'style' => 'default',
    'label_placement' => 'top',
    'instruction_placement' => 'label',
    'hide_on_screen' => '',
    'active' => true,
    'description' => '',
  ) );
// POST FEATURED IMAGE DISPLAY TOGGLE ADDED JULY 3
acf_add_local_field_group( array(
  'key' => 'group_5efba84b77425',
  'title' => 'Featured Image Option',
  'fields' => array(
    array(
      'key' => 'field_5efba85fd0a64',
      'label' => 'Featured Image Display',
      'name' => 'ws_featured_image_display',
      'type' => 'true_false',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'message' => '',
      'default_value' => 0,
      'ui' => 1,
      'ui_on_text' => 'Visible',
      'ui_off_text' => 'Hidden',
    ),
  ),
  'location' => array(
    array(
      array(
        'param' => 'post_type',
        'operator' => '==',
        'value' => 'post',
      ),
    ),
  ),
  'menu_order' => 0,
  'position' => 'side',
  'style' => 'default',
  'label_placement' => 'top',
  'instruction_placement' => 'label',
  'hide_on_screen' => '',
  'active' => true,
  'description' => '',
) );

endif;
?>